Incidents

Authentication
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint

GET
https://bugnotify.com/api/v1/incidents

Request example

curl --location --request GET 'https://bugnotify.com/api/v1/incidents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Name
Type
Description
search
optional string
The search query.
search_by
optional string
Search by. Possible values are: monitor for Monitor, cause for Cause. Defaults to: url.
monitor_id
optional string
Monitor ID.
status
optional string
Status. Possible values are: unresolved for Unresolved, acknowledged for Acknowledged, resolved for Resolved.
sort_by
optional string
Sort by. Possible values are: started_at for Date started, ended_at for Date ended. Defaults to: ended_at.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Descending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Show

API endpoint

GET
https://bugnotify.com/api/v1/incidents/{id}

Request example

curl --location --request GET 'https://bugnotify.com/api/v1/incidents/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint

POST
https://bugnotify.com/api/v1/incidents

Request example

curl --location --request POST 'https://bugnotify.com/api/v1/incidents' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'monitor_id={monitor_id}' \
--data-urlencode 'started_at={started_at}'

Parameters

Name
Type
Description
monitor_id
required integer
Monitor ID.
started_at
required string
Started at date in Y-m-dTH:i:s format.
acknowledged_at
optional string
Acknowledged at date in Y-m-dTH:i:s format.
ended_at
optional string
Ended at date in Y-m-dTH:i:s format.
cause
optional string
Cause.
public_message
optional string
Public message.
internal_note
optional string
Internal note.
Update

API endpoint

PUT PATCH
https://bugnotify.com/api/v1/incidents/{id}

Request example

curl --location --request PUT 'https://bugnotify.com/api/v1/incidents/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Name
Type
Description
acknowledged_at
optional string
Acknowledged at date in Y-m-dTH:i:s format.
ended_at
optional string
Ended at date in Y-m-dTH:i:s format.
cause
optional string
Cause.
public_message
optional string
Public message.
internal_note
optional string
Internal note.
Delete

API endpoint

DELETE
https://bugnotify.com/api/v1/incidents/{id}

Request example

curl --location --request DELETE 'https://bugnotify.com/api/v1/incidents/{id}' \
--header 'Authorization: Bearer {api_key}'